# Quick Start

## Get your API keys

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API key from your Dashboard at any time.

{% hint style="info" %}
Steps to get API keys:

1. Navigate to <https://app.texau.com/settings-api-key/developer-api>
2. Click on `Generate API Key`
3. Copy the key and save it for future use, because you'll see the API key only when you generate it
4. Click on `Copy Header` button to get `X-TexAu-Context` header value
   {% endhint %}

## Make your first request

To make your first request, send an authenticated request to the /me endpoint. This will give you your basic details, which is nice.

Take a look at how you might call this method using  `curl`:

{% tabs %}
{% tab title="curl" %}

```
curl -X 'GET' \
  'https://api.texau.com/api/v1/public/me' \
  -H 'accept: application/json' \
  -H 'X-TexAu-Context: {"orgUserId":"0612b8","workspaceId":"4900613df"}' \
  -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://texau.gitbook.io/api-docs/quick-start.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
